/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&family=Quicksand:wght@400;500;600;700&display=swap');

body {
    font-family: 'Lato', sans-serif;
    color: #7E7E7E;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Quicksand', sans-serif;
    color: #253D4E;
}

/* Swiper Customizations for Nest Theme */
.swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    opacity: 1;
    background: #dcdcdc;
}

@media (min-width: 768px) {
    .swiper-pagination-bullet {
        width: 10px;
        height: 10px;
    }
}

.swiper-pagination-bullet-active {
    background-color: #3BB77E !important;
    width: 10px;
    height: 10px;
}

@media (min-width: 768px) {
    .swiper-pagination-bullet-active {
        width: 12px;
        height: 12px;
    }
}

.swiper-button-next,
.swiper-button-prev {
    color: #3BB77E !important;
    background: #f2f3f4;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    opacity: 0;
    visibility: hidden;
    /* Hidden on mobile by default */
    transition: .3s;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

@media (min-width: 768px) {

    .swiper-button-next,
    .swiper-button-prev {
        visibility: visible;
    }
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 18px;
    font-weight: bold;
}

/* Show arrows on hover */
@media (min-width: 768px) {

    .hero-slider:hover .swiper-button-next,
    .hero-slider:hover .swiper-button-prev,
    .categories-slider:hover .swiper-button-next,
    .categories-slider:hover .swiper-button-prev {
        opacity: 1;
    }
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background: #3BB77E;
    color: white !important;
}

/* Category Card Custom Transitions */
.categories-slider a {
    transition: all 0.3s ease-in-out;
}

.categories-slider a:hover {
    border-color: #3BB77E !important;
    background-color: #fff !important;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.05) !important;
    transform: translateY(-5px);
}